This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150330 - Cluster service restart in place hanging
Cluster service restart in place hanging
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 12:01 EST by Derek Anderson
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 15:52:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-03-04 12:01:23 EST
Description of problem:
Attempting to restart a service in place appears to sit there not
doing anything.  I have the <rm> section for my cluster posted below.
 So, I can enable and disable the service, and move it around between
nodes correctly.  When I try to 'clusvcadm -R FOO' the command doesn't
return and nothing (that I can see) is happening.  It doesn't make a
difference if the command is issued on the node currently running the
service or not.

<!-- RESOURCE MANAGER SECTION-->
<rm>
  <!-- FAILOVERDOMAINS -->
  <failoverdomains>
    <failoverdomain name="FDOMAIN" ordered="1">
      <failoverdomainnode name="link-08" priority="1"/>
      <failoverdomainnode name="link-10" priority="1"/>
      <failoverdomainnode name="link-11" priority="1"/>
      <failoverdomainnode name="link-12" priority="1"/>
    </failoverdomain>
  </failoverdomains>

  <!-- RESOURCES -->
  <resources>
    <resourcegroup name="FOO" domain="FDOMAIN"/>
    <script name="HTTPee" file="/etc/init.d/httpd"/>
    <ip address="192.168.44.230" monitor_link="yes"/>
    <fs name="MyFS" fstype="ext3" mountpoint="/mnt/gfs1"
device="/dev/sde1"/>
  </resources>

  <!-- RESOURCE GROUPS -->
  <resourcegroup ref="FOO">
    <script ref="HTTPee"/>
    <ip ref="192.168.44.230"/>
    <fs ref="MyFS"/>
  </resourcegroup>
</rm>

Version-Release number of selected component (if applicable):
[root@link-08 cluster]# clusvcadm -v
1.9.20

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Lon Hohberger 2005-03-07 12:23:11 EST
Fixes in CVS.
Comment 3 Derek Anderson 2005-03-07 15:52:45 EST
Verified in 1.9.23.

[root@link-10 ~]# clustat
Member Status: Quorate, Group Member

  Member Name                              State      ID
  ------ ----                              -----      --
  link-12                                  Online     0x000000000000000c
  link-11                                  Online     0x000000000000000b
  link-08                                  Online     0x0000000000000008
  link-10                                  Online     0x000000000000000a

  Resource Group       Owner (Last)                   State
  -------- -----       ----- ------                   -----
  FOOGOOPOO            link-12                        started
[root@link-10 ~]# clusvcadm -R FOOGOOPOO
Member link-10 trying to restart FOOGOOPOO...success
[root@link-10 ~]# echo $?
0

Note You need to log in before you can comment on or make changes to this bug.